Knowledgebase

Jonathan Hooverman edited this page Apr 3, 2016 · 5 revisions

Available pages:

Clone this wiki locally

This is a collection of miscellaneous information about QupZilla and the Qt-framework.

(1) Build the latest Qt-version from git

This chapter intends to collect instructions about building the latest Qt-version from git, and then building QupZilla against it.

Why?

Many website rendering issues seen with QupZilla can be attributed with old QtWebKit component version used by QupZilla (for example, coming from "stable" OS distribution). So, to get the best web support, one supposedly needs to run the latest Qt version which also includes the latest and greatest QtWebKit ("supposedly" because the latest version, especially git, may also have new bugs).

Building Qt

(2) QupZilla versions and Qt dependencies

Windows

Starting with QupZilla version 1.8.9 all Windows builds are using Qt-5.5.1 & QtWebKit-538.1.

Linux

On Linux, QupZilla will use the system QtWebKit library. So if your system has an old QtWebKit from Qt 4.8 (534.34) installed, this old version will be used.

All packages provided on the QupZilla ppa are build against Qt5.

The following table displays the available Qt- and QtWebkit-versions

QupZilla Qt QtWebkit Distribution Remarks
1.8.9 5.5.0 538.1 openSuSE Tumbleweed
1.8.9 5.5.1 538.1 Windows
1.8.9 5.4.2 538.1 QupZilla ppa xenial, wily, vivid, trusty
1.8.4 4.8.1 534.34/2.2.1 Bodhi Linux 2.4.0 Based on Ubuntu 12.04 (precise)
1.6.0 5.2.1 537.21/2.3.2 Bodhi Linux 3.0.0 Based on Ubuntu 14.04 (trusty)

(3) Qt-Documentation

About release 5.6 (Recommended)

About release 5.7 (Planning)

About release 5.8 (Planning)

(4) HTML5-video support

To allow QupZilla to play HTML5-videos you will have to install the gstreamer-framework.

openSUSE Tumbleweed (it is highly recommended to take the packages from the Packman-repo)

libgstreamer-0_10-0-0.10.36-101.6.i586
python-gstreamer-0_10-0.10.22-12.6.i586
gstreamer-0_10-plugins-qt-0.10.3-24.6.i586
gstreamer-0_10-plugins-ugly-orig-addon-0.10.19-14.9.i586
gstreamer-0_10-plugin-esd-0.10.31-85.35.i586
gstreamer-0_10-plugins-ugly-lang-0.10.19-47.8.noarch
gstreamer-0_10-plugins-base-lang-0.10.36-76.10.noarch
gstreamer-0_10-utils-unversioned-0.10.36-101.6.i586
gstreamer-0_10-plugins-good-0.10.31-85.35.i586
gstreamer-0_10-plugins-ffmpeg-0.10.13-2000.25.i586
gstreamer-0_10-plugins-vaapi-0.5.4-20.6.i586
gstreamer-0_10-plugins-bad-0.10.23-172.4.i586
gstreamer-0_10-utils-0.10.36-101.6.i586
gstreamer-0_10-plugins-fluendo_mpegmux-0.10.4-46.23.i586
gstreamer-0_10-plugins-bad-orig-addon-0.10.23-172.1.i586
gstreamer-0_10-plugins-good-lang-0.10.31-85.35.noarch
gstreamer-0_10-devel-0.10.36-101.6.i586
gstreamer-0_10-plugins-base-0.10.36-76.10.i586
gstreamer-0_10-plugins-fluendo_mpegdemux-0.10.71-2.26.i586
gstreamer-0_10-0.10.36-101.6.i586
gstreamer-0_10-lang-0.10.36-101.6.noarch
gstreamer-0_10-plugins-fluendo_mp3-0.10.18-3.25.i586
gstreamer-0_10-plugin-gnomevfs-0.10.36-76.10.i586
gstreamer-0_10-plugins-bad-lang-0.10.23-172.4.noarch
gstreamer-0_10-plugins-ugly-0.10.19-47.8.i586

Debian

gstreamer0.10-alsa
gstreamer0.10-chromaprint
gstreamer0.10-dvswitch
gstreamer0.10-fluendo-mp3
gstreamer0.10-gconf
gstreamer0.10-gnomevfs
gstreamer0.10-gnonlin
gstreamer0.10-hplugins
gstreamer0.10-nice
gstreamer0.10-plugins-bad
gstreamer0.10-plugins-base
gstreamer0.10-plugins-base-apps
gstreamer0.10-plugins-good
gstreamer0.10-plugins-ugly
gstreamer0.10-pocketsphinx
gstreamer0.10-pulseaudio
gstreamer0.10-qapt
gstreamer0.10-tools
gstreamer0.10-x
gstreamer1.0-alsa
gstreamer1.0-clutter
gstreamer1.0-crystalhd
gstreamer1.0-fluendo-mp3
gstreamer1.0-gnonlin
gstreamer1.0-libav
gstreamer1.0-nice
gstreamer1.0-packagekit
gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base
gstreamer1.0-plugins-base-apps
gstreamer1.0-plugins-good
gstreamer1.0-plugins-ugly
gstreamer1.0-pulseaudio
gstreamer1.0-tools
gstreamer1.0-vaapi
gstreamer1.0-x
gstreamer-tools

From Multimedia Main repository:

gstreamer0.10-ffmpeg
gstreamer0.10-plugins-really-bad
gstreamer1.0-libav